% Plot the solution
% A shift is applied to comply with the program "Riemann"
xcenter=xcenter+0.5;
xwall=xwall+0.5;
subplot(2,3,1),hold on,title('DENSITY','fontsize',14),plot(xcenter,rhonew);
subplot(2,3,2),hold on,title('VELOCITY','fontsize',14),plot(xwall,uxnew);
subplot(2,3,3),hold on,title('PRESSURE','fontsize',14),plot(xcenter,pnew);
subplot(2,3,4),hold on,title('MACHNUMBER','fontsize',14),plot(xcenter,Mach);
subplot(2,3,5),hold on,title('ENTHALPY','fontsize',14),plot(xcenter,enthalpy);
subplot(2,3,6),hold on,title('ENTROPY','fontsize',14),plot(xcenter,entropy);
Riemann;
